import { jsx } from "react/jsx-runtime";
import { FrameCorners as FrameCorners$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FrameCorners = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FrameCorners", ...props, children: /* @__PURE__ */ jsx(FrameCorners$1, { weight: variant }) });
  }
);
FrameCorners.displayName = "FrameCorners";
Object.assign(FrameCorners, { isGdsIcon: true });
export {
  FrameCorners
};
